summaryrefslogtreecommitdiff
path: root/ci/installdeps.sh
diff options
context:
space:
mode:
authorRobert Fairley <rfairley@redhat.com>2019-05-23 13:05:07 -0400
committerAtomic Bot <atomic-devel@projectatomic.io>2019-05-27 16:07:07 +0000
commit1c0933b40ca090d3c748bda69eb9a1957a136e72 (patch)
tree8a60f101647a6ded2f43fa2b23cdd09f57182b76 /ci/installdeps.sh
parent4929fc38e98a384d4f29d8710338b9e2e750f5a7 (diff)
downloadostree-1c0933b40ca090d3c748bda69eb9a1957a136e72.tar.gz
ci: Split out installdeps.sh from build.sh
This script is useful to run individually when setting up a development environment for OSTree. Closes: #1865 Approved by: jlebon
Diffstat (limited to 'ci/installdeps.sh')
-rwxr-xr-xci/installdeps.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/ci/installdeps.sh b/ci/installdeps.sh
new file mode 100755
index 00000000..29bd4e41
--- /dev/null
+++ b/ci/installdeps.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/bash
+# Install build dependencies.
+
+set -xeuo pipefail
+
+dn=$(dirname $0)
+. ${dn}/libpaprci/libbuild.sh
+
+pkg_upgrade
+pkg_install_buildroot
+pkg_builddep ostree
+pkg_install sudo which attr fuse strace \
+ libubsan libasan libtsan PyYAML redhat-rpm-config \
+ elfutils
+if test -n "${CI_PKGS:-}"; then
+ pkg_install ${CI_PKGS}
+fi
+pkg_install_if_os fedora gjs gnome-desktop-testing parallel coccinelle clang \
+ python3-PyYAML
+if test "${OS_ID}" = "centos"; then
+ rpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
+ pkg_install python34{,-PyYAML}
+fi